/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.dto.brand;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：移动设备品牌表
*
* createdate:  2022-09-09 11:16:21  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "移动设备品牌表")
public class CdMobileBrandUpdateDto implements Serializable
{
    /**
     * 主键id<br>
     */
    @ApiModelProperty("主键id")
    @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 中文名称<br>
     */
    @ApiModelProperty("中文名称")
    @Size(max = 50, message="中文名称-brandNameCn: 数据长度不能 > 50" )
    private String brandNameCn;
    /**
     * 品牌标识<br>
     */
    @ApiModelProperty("品牌标识")
    private String brandIcon;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBrandNameCn() {
        return brandNameCn;
    }

    public void setBrandNameCn(String brandNameCn) {
        this.brandNameCn = brandNameCn;
    }

    public String getBrandIcon() {
        return brandIcon;
    }

    public void setBrandIcon(String brandIcon) {
        this.brandIcon = brandIcon;
    }
}